# buildforkernels macro hint: when you build a new version or a new release
# that contains bugfixes or other improvements then you must disable the
# "buildforkernels newest" macro for just that build; immediately after
# queuing that build enable the macro again for subsequent builds; that way
# a new akmod package will only get build when a new one is actually needed
# define buildforkernels newest

Name:           tp_smapi-kmod
Version:        0.40
Release:        1%{?dist}

Summary:        Kernel module for Thinkpad SMAPI
Group:          System Environment/Kernel
License:        GPLv2
URL:            http://tpctl.sourceforge.net
# This filters out the XEN kernel, since we don't run on XEN
Source0:        tp_smapi-0.40.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%global AkmodsBuildRequires %{_bindir}/kmodtool

BuildRequires:  %{AkmodsBuildRequires}

# needed for plague to make sure it builds for i586 and i686
ExclusiveArch:  i586 i686 x86_64

# get the proper build-sysbuild package from the repo, which
# tracks in all the kernel-devel packages
%{!?kernels:BuildRequires: buildsys-build-rpmfusion-kerneldevpkgs-%{?buildforkernels:%{buildforkernels}}%{!?buildforkernels:current}-%{_target_cpu} }

# kmodtool does its magic here
%{expand:%(kmodtool --target %{_target_cpu} --repo rpmfusion --kmodname %{name} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"}  2>/dev/null | grep -v %{name}-common) }


%description
Kernel module for Thinkpad SMAPI


%prep
%setup -c 

# error out if there was something wrong with kmodtool
%{?kmodtool_check}

# print kmodtool output for debugging purposes:
kmodtool --target %{_target_cpu}  --repo rpmfusion --kmodname %{name} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null

for kernel_version in %{?kernel_versions} ; do
    cp -al tp_smapi-%{version} _kmod_build_${kernel_version%%___*}
done

%build
for kernel_version in %{?kernel_versions}; do
       ls
       make %{?_smp_mflags} -C _kmod_build_${kernel_version%%___*} SUBDIRS="${PWD}/_kmod_build_${kernel_version%%___*}/${module}"  modules 
       make %{?_smp_mflags} -C _kmod_build_${kernel_version%%___*} SUBDIRS="${PWD}/_kmod_build_${kernel_version%%___*}/${module}"  modules HDAPS=1
#        make %{?_smp_mflags} -C _kmod_build_${kernel_version%%___*} SUBDIRS="${PWD}/_kmod_build_${kernel_version%%___*}/${module}"  modules
done


%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

for kernel_version in %{?kernel_versions}; do
    install -d ${RPM_BUILD_ROOT}%{kmodinstdir_prefix}/${kernel_version%%___*}/%{kmodinstdir_postfix}
    install _kmod_build_${kernel_version%%___*}/*.ko ${RPM_BUILD_ROOT}%{kmodinstdir_prefix}/${kernel_version%%___*}/%{kmodinstdir_postfix}
done

%{?akmod_install}


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed Aug 5 2009 <izhar@fedoraproject.org> - 0.4.0-1
- initial spec, from VirtualBox-OSE spec
